# [name]

Utility class for creating instances of [page:LightProbe].

## Examples

[example:webgl_lightprobe WebGL / light probe ]
[example:webgl_lightprobe_cubecamera WebGL / light probe / cube camera ]

## Static Methods

### [method:LightProbe fromCubeTexture] ( [param:CubeTexture cubeTexture] )

Creates a light probe from the given (radiance) environment map. The method expects that the environment map is represented as a cube texture.

### [method:LightProbe fromCubeRenderTarget] ( [param:WebGLRenderer renderer], [param:WebGLCubeRenderTarget cubeRenderTarget] )

Creates a light probe from the given (radiance) environment map. The method expects that the environment map is represented as a cube render target.

The [page:Texture.format format] of the cube render target must be set to `RGBA`.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/examples/jsm/lights/LightProbeGenerator.js examples/jsm/lights/LightProbeGenerator.js]